<div
  #filterZone
  class="full-width flex-column"
  [attr.data-test-element-id]="'filter'"
>
  <div class="flex-row">
    <span class="block-title">
      {{ 'sqtm-core.custom-report-workspace.chart.filters.name' | translate }}
    </span>
    <i
      nz-icon
      nzType="sqtm-core-tree:add"
      class="current-workspace-button action-icon-size m-l-auto m-r-20"
      [attr.data-test-element-id]="'add-filter-button'"
      (click)="showAddFilterPanel()"
    >
    </i>
  </div>
  <div>
    @for (
      filterData of filtersData;
      track trackByFilterId($index, filterData)
    ) {
      <sqtm-app-filter-widget
        [filterData]="filterData"
        (valueChanged)="changeFiltering($event, filterData)"
        (filterInactivated)="removeFilter(filterData)"
        [preventOpening]="extractPreventOpening(filterData.filter)"
      >
      </sqtm-app-filter-widget>
    }
  </div>
</div>
